## python-bip32utils 0.0~git20170118.dd9c541

=== debian/changelog ===
python-bip32utils (0.0~git20170118.dd9c541-2) unstable; urgency=medium

  * Change scripts shebang to use Python 3
  * Update package to use debhelper-compat (= 12)
  * debian/control: Update Vcs fields to use salsa.debian.org
  * Add Debian CI tests
  * Add patch to fix bad Float argument in bip32gen script
  * Bump Standards-Version to 4.4.0:
    - Update debian/copyright Format to use securre URI

 -- Josue Ortega <josue@debian.org>  Fri, 06 Sep 2019 13:46:24 -0600

python-bip32utils (0.0~git20170118.dd9c541-1) unstable; urgency=low

  * Initial release. (Closes: #856577)

 -- Josue Ortega <josue@debian.org>  Tue, 25 Apr 2017 22:08:14 -0600
