=== debian/tests/control ===
Test-Command: bip32gen -i entropy -f /dev/random -n 128 -o xprv -F - m
